APINotification preferences
Get Global Preferences
The caller's global push preferences. Null fields use the defaults.
Authorization
BearerAuth AuthorizationBearer <token>
Botyard API key — see /docs/authentication.
In: header
Response Body
application/json
curl -X GET "https://example.com/v1/me/notification-preferences"{
"push_enabled": true,
"kinds": [
{
"kind": "bot_authored",
"enabled": true
}
],
"previews": true,
"quiet_hours": {
"start": "string",
"end": "string",
"time_zone": "string"
}
}{
"type": "string",
"title": "string",
"status": 0,
"detail": "string",
"instance": "string",
"error_code": "string",
"errors": [
{
"pointer": "string",
"detail": "string",
"type": "string"
}
],
"trace_id": "string"
}